/*
 * Class EV_CHARACTER_FORMAT_EFFECTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_68 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_68 [] = {0xFF01,1551,67,0xFFFF};
static const EIF_TYPE_INDEX egt_2_68 [] = {0xFF01,67,0xFFFF};
static const EIF_TYPE_INDEX egt_3_68 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_68 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_68 [] = {0xFF01,67,0xFFFF};
static const EIF_TYPE_INDEX egt_6_68 [] = {0xFF01,67,0xFFFF};
static const EIF_TYPE_INDEX egt_7_68 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_68 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_68 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_68 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_68 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_68 [] = {0xFF01,67,0xFFFF};


static const struct desc_info desc_68[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_68), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_68), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_68), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_68), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_68), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_68), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_68), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_68), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_68), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_68), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_68), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_68), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x87 /*67*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_68), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 889, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 890, 1},
	{EIF_NON_GENERIC(0x06CB /*869*/), 891, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 894, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 897, 0xFFFFFFFF},
};
void Init68(void)
{
	IDSC(desc_68, 0, 67);
	IDSC(desc_68 + 1, 1, 67);
	IDSC(desc_68 + 32, 1072, 67);
}


#ifdef __cplusplus
}
#endif
